コンテンツにスキップ
JP

Returns a list of assets.

GET
/{workspaceIdOrAlias}/projects/{projectIdOrAlias}/assets

Returns a list of assets with filtering and ordering.

workspaceIdOrAlias
required
string

ID or alias of the workspace

projectIdOrAlias
required
string

ID or alias of the project

sort
string
default: createdAt
Allowed values: createdAt updatedAt

Used to define the order of the response list

dir
string
default: desc
Allowed values: asc desc

Used to define the order direction of the response list, will be ignored if the order is not presented

page
integer
default: 1 >= 1

Used to select the page

perPage
integer
default: 50 >= 1 <= 100

Used to select the page

keyword
string

Keyword string

Assets list

object
items
Array<object>
object
id
required
string
projectId
required
string
name
string
url
required
string
contentType
string
previewType
string
Allowed values: image image_svg geo geo_3d_Tiles geo_mvt model_3d csv unknown
totalSize
number
archiveExtractionStatus
string
Allowed values: pending in_progress done failed
file
object
name
string
size
number
contentType
string
path
string
children
Array<object> recursive
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
public
required
boolean
totalCount
integer
page
integer
>= 1
perPage
integer
>= 1

Invalid request parameter value

Access token is missing or invalid

Not found